Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class Codeset

    java.lang.Object
      |
      +--weblogic.html.Codeset

public class Codeset
extends java.lang.Object

Utility class for setting codeset for a page. Use a Codeset object in the constructor of an HtmlPage to assign a codeset to the page.

Author:
  Copyright (c) 1998 by WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`Codeset(java.lang.String codeset)` Deprecated. Constructs a new Codeset object with the specified string, for example "SJIS".

Method Summary
`java.lang.String` | `getCodeset()` Deprecated. Gets the codeset descriptor associated with a Codeset object.
`void` | `setCodeset(java.lang.String codeset)` Deprecated. Sets the language set for a Codeset.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Codeset

    public Codeset(java.lang.String codeset)

  Deprecated.
  Constructs a new Codeset object with the specified string, for example "SJIS".

  Parameters:
    `codeset` - Codeset to be used for the page

Method Detail

### setCodeset

    public void setCodeset(java.lang.String codeset)

  Deprecated.
  Sets the language set for a Codeset.

  Parameters:
    `codeset` - String descriptor, for example "SJIS"

### getCodeset

    public java.lang.String getCodeset()

  Deprecated.
  Gets the codeset descriptor associated with a Codeset object.

  Returns:
    String descriptor, for example "SJIS"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD